"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AxiosAjaxUtils = void 0;
const axios_1 = __importDefault(require("axios"));
const neverthrow_1 = require("neverthrow");
const objects_1 = require("@hypernetlabs/objects");
class AxiosAjaxUtils {
    get(url, config) {
        return neverthrow_1.ResultAsync.fromPromise(axios_1.default.get(url.toString(), config), (e) => new objects_1.AjaxError(`Unable to get ${url}`, e)).map((response) => {
            return response.data;
        });
    }
    post(url, data, config) {
        return neverthrow_1.ResultAsync.fromPromise(axios_1.default.post(url.toString(), data, config), (e) => new objects_1.AjaxError(`Unable to get ${url}`, e)).map((response) => {
            return response.data;
        });
    }
}
exports.AxiosAjaxUtils = AxiosAjaxUtils;
//# sourceMappingURL=AxiosAjaxUtils.js.map